PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::electrical::shockley::ElectricalFem3DSolver::Active::Region Struct Reference

`#include <solvers/electrical/shockley/electr3d.hpp>`

Collaboration diagram for plask::electrical::shockley::ElectricalFem3DSolver::Active::Region:
[legend]

## Public Member Functions
| Region ()
| Region (size_t b, size_t t, size_t x, size_t y)

## Public Attributes
size_t | bottom
size_t | top
size_t | left
size_t | right
size_t | back
size_t | front
size_t | lon
size_t | tra
bool | warn

## Detailed Description

Definition at line 29 of file electr3d.hpp.

## Constructor & Destructor Documentation

## ◆ Region() [1/2]

plask::electrical::shockley::ElectricalFem3DSolver::Active::Region::Region | ( |  | ) |
| inline

Definition at line 32 of file electr3d.hpp.

## ◆ Region() [2/2]

plask::electrical::shockley::ElectricalFem3DSolver::Active::Region::Region | ( | size_t | b,
|  | size_t | t,
|  | size_t | x,
|  | size_t | y
| ) |  |
| inline

Definition at line 33 of file electr3d.hpp.

## Member Data Documentation

## ◆ back

size_t plask::electrical::shockley::ElectricalFem3DSolver::Active::Region::back

Definition at line 30 of file electr3d.hpp.

## ◆ bottom

size_t plask::electrical::shockley::ElectricalFem3DSolver::Active::Region::bottom

Definition at line 30 of file electr3d.hpp.

## ◆ front

size_t plask::electrical::shockley::ElectricalFem3DSolver::Active::Region::front

Definition at line 30 of file electr3d.hpp.

## ◆ left

size_t plask::electrical::shockley::ElectricalFem3DSolver::Active::Region::left

Definition at line 30 of file electr3d.hpp.

## ◆ lon

size_t plask::electrical::shockley::ElectricalFem3DSolver::Active::Region::lon

Definition at line 30 of file electr3d.hpp.

## ◆ right

size_t plask::electrical::shockley::ElectricalFem3DSolver::Active::Region::right

Definition at line 30 of file electr3d.hpp.

## ◆ top

size_t plask::electrical::shockley::ElectricalFem3DSolver::Active::Region::top

Definition at line 30 of file electr3d.hpp.

## ◆ tra

size_t plask::electrical::shockley::ElectricalFem3DSolver::Active::Region::tra

Definition at line 30 of file electr3d.hpp.

## ◆ warn

bool plask::electrical::shockley::ElectricalFem3DSolver::Active::Region::warn

Definition at line 31 of file electr3d.hpp.

The documentation for this struct was generated from the following file:

- solvers/electrical/shockley/electr3d.hpp